Source: libapache2-mod-perl2
Version: 2.0.11-1
Tags: patch
User: debian-cr...@lists.debian.org
Usertags: cross-satisfiability

libapache2-mod-perl2 cannot be cross built, because a number of build
dependencies are not cross-satisfiable. There are two major techniques
to reduce dependencies that are easily applicable here:
 * Move from Build-Depends to Build-Depends-Indep.
 * Annotate with <!nocheck>.
Both techniques render the affected dependencies irrelevant to cross
building. I've taken the time to figure out which dependencies can be
reduced and verified that doing so results in bit-identical .deb files
(if you fix the build path). As such I'm quite confident that these
annotations are correct. Please consider applying the attached patch.
After applying it, the size of the dependency problem for cross
compilation should be significantly reduced.

Helmut
diff --minimal -Nru libapache2-mod-perl2-2.0.11/debian/changelog 
libapache2-mod-perl2-2.0.11/debian/changelog
--- libapache2-mod-perl2-2.0.11/debian/changelog        2019-10-13 
18:06:30.000000000 +0200
+++ libapache2-mod-perl2-2.0.11/debian/changelog        2020-02-14 
06:17:04.000000000 +0100
@@ -1,3 +1,10 @@
+libapache2-mod-perl2 (2.0.11-1.1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Reduce Build-Depends using <!nocheck> and B-D-I. (Closes: #-1)
+
+ -- Helmut Grohne <hel...@subdivi.de>  Fri, 14 Feb 2020 06:17:04 +0100
+
 libapache2-mod-perl2 (2.0.11-1) unstable; urgency=medium
 
   [ gregor herrmann ]
diff --minimal -Nru libapache2-mod-perl2-2.0.11/debian/control 
libapache2-mod-perl2-2.0.11/debian/control
--- libapache2-mod-perl2-2.0.11/debian/control  2019-10-13 16:18:00.000000000 
+0200
+++ libapache2-mod-perl2-2.0.11/debian/control  2020-02-14 06:17:04.000000000 
+0100
@@ -10,19 +10,19 @@
 Priority: optional
 Build-Depends: perl,
                apache2-dev,
-               apache2 (>= 2.4~),
+               apache2 (>= 2.4~) <!nocheck>,
                debhelper (>= 10),
-               libbsd-resource-perl,
-               libcgi-pm-perl,
-               libdevel-symdump-perl,
-               libhtml-parser-perl,
+               libbsd-resource-perl <!nocheck>,
+               libcgi-pm-perl <!nocheck>,
+               libdevel-symdump-perl <!nocheck>,
+               libhtml-parser-perl <!nocheck>,
                libhtml-template-perl,
                libperl-dev,
                libreadonly-perl,
-               libwww-perl,
-               locales-all,
-               netbase,
-               rename
+               libwww-perl <!nocheck>,
+               locales-all <!nocheck>,
+               netbase <!nocheck>,
+Build-Depends-Indep: rename
 Build-Conflicts: apache2-mpm-event
 Standards-Version: 4.4.1
 Vcs-Browser: 
https://salsa.debian.org/perl-team/modules/packages/libapache2-mod-perl2

Reply via email to